package ru.yandex.webmaster3.storage.sitemap.service.model;

/**
 * @author: ishalaru
 * DATE: 14.05.2019
 */
public enum AnalyzeSitemapErrorType {
    ANALYZE_SITEMAP__UNABLE_TO_DOWNLOAD_SITEMAP("Unable to download sitemap"),
    ANALYZE_SITEMAP__SITEMAP_FORBIDDEN_IN_ROBOTS_TXT("Illegal http code"),
    ANALYZE_SITEMAP__ILLEGAL_HTTP_CODE("Illegal http code"),
    ANALYZE_SITEMAP__SITEMAP_IS_EMPTY("Sitemap is empty"),
    ANALYZE_SITEMAP__SITEMAP_IS_TOO_LONG("Site is too long"),
    ANALYZE_SITEMAP__SITEMAP_IS_HOMEPAGE("Sitemap is homepage");
    private String errorDescription;

    AnalyzeSitemapErrorType(String errorDescription) {
        this.errorDescription = errorDescription;
    }

    public String getErrorDescription() {
        return errorDescription;
    }

}